注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

分享,态度 ·~~

—— 十年太长,五年;如果可以回到五年前,你最想对那时候的自己说什么?

 
 
 

日志

 
 

Linux: adb 在 Ubuntu14.04 (64bit) 上无法使用  

2014-05-04 14:44:17|  分类: Linux |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
前些天因为Linux系统奔溃,安装了最新的Ubuntu 14.04。
但在使用adb的时候一直显示目录或者文件找不到,原因是64bit的Ubuntu不支持32bit的从Android SDK中得到的adb文件。
网上找到很多解答都是要求执行

sudo apt-get install ia32-libs

但是新版的Ubuntu上是无效的:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package ia32-libs is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  lib32z1 lib32ncurses5 lib32bz2-1.0
E: Package 'ia32-libs' has no installation candidate

正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
现在没有可用的软件包 ia32-libs,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
可能下列软件包取代了它:
  lib32z1 lib32ncurses5 lib32bz2-1.0
E: 软件包 ia32-libs 没有可供安装的候选者

目前找到确实有效的解决方法:

sudo apt-get install lib32ncurses5 lib32stdc++6

希望对未来升级到Ubuntu 14.04的同仁有帮助。
【本文链接:http://zwkufo.blog.163.com/blog/static/258825120144424417339/
  评论这张
 
阅读(1590)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017